Subject: Re: [PATCH] Add -k kill keyword expansion option to git-cvsimport

From: Martin Langhoff <[email-masked]>
Date: Mon, 15 Aug 2005 19:52:42 +1200

On 8/15/05, Junio C Hamano <[email-masked]> wrote:
> Isn't cvs default -kkv?

You're right, default is -kkv (expand keyword/value every time) and
not -kv (expand keyword/value only if previously unexpanded).

There's something else in the -kb / -ko distinction according to the
protocol description I linked before. Using -kb changes the way the
file is sent, and this may well break our protocol handling, which is
currently quite happy to deal with the file as a series of lines.

OTOH I am not sure if it breaks when dealing with true binary stuff
like images, compressed data, etc.

cheers,

martin